Java version problems - plans to upgrade this website?

Forum about flow calculators available on pipeflowcalculations.com and how to find solution for your fluid flow problem.
Post Reply
EricRoberson
Posts: 1
Joined: Fri Apr 04, 2014 4:43 pm

Java version problems - plans to upgrade this website?

Post by EricRoberson » Fri Apr 04, 2014 4:50 pm

:ugeek:

As of April 2014, my company uses Java v.1.6.0.17 as the corporate standard. Unfortunately, this is the minium version which can be installed in our enterprise. In addition, Java is upgraded in our enterprise to a newer version every 3-6 months.

Is there a plan to bring this website into compliance with at least Java v.1.6.0.17 or a newer version of Java anytime soon?

The errors we experience when using the website with Java v.1.6.0.17 is as follows:
Exception: java.lang.UnsupportedClassVersionError: com/pipeflowcalculations/start/AppletStart : Unsupported major.minor version 51.0


Reading certificates from 20526 http://www.pipeflowcalculations.com/app ... lators.jar | C:\Users\ejrobers\AppData\LocalLow\Sun\Java\Deployment\cache\6.0\10\3854ff8a-7814346f.idx
java.lang.UnsupportedClassVersionError: com/pipeflowcalculations/start/AppletStart : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at java.security.SecureClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.defineClass(Unknown Source)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at sun.plugin2.applet.Plugin2ClassLoader.defineClassHelper(Unknown Source)
at sun.plugin2.applet.Plugin2ClassLoader.access$400(Unknown Source)
at sun.plugin2.applet.Plugin2ClassLoader$2.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at sun.plugin2.applet.Plugin2ClassLoader.findClassHelper(Unknown Source)
at sun.plugin2.applet.Applet2ClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.plugin2.applet.Plugin2ClassLoader.loadCode(Unknown Source)
at sun.plugin2.applet.Plugin2Manager.createApplet(Unknown Source)
at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)
Exception: java.lang.UnsupportedClassVersionError: com/pipeflowcalculations/start/AppletStart : Unsupported major.minor version 51.0

admin
Site Admin
Posts: 371
Joined: Mon Feb 08, 2010 7:47 pm

Re: Java version problems - plans to upgrade this website?

Post by admin » Sat Apr 05, 2014 12:23 am

As older Java is used that means that with new Java version you can run calculators, with no problems. But for security reasons you are requested to update java to version 51 which is 1.7, at least.

Update of this site is undergoing and calculators one by one will be redesigned to new technology and available on http://www.pipeflowcalculations.net
Pipe flow calculations - since 2000

Post Reply